#include "BF.h"
#include "BF_Matrix.h"

namespace BF
{
    Location::Location(double _x, double _y, double _z) : x(_x), y(_y), z(_z)
    {
    }

    MicLocation::MicLocation(double _x, double _y, double _z) : Location(_x, _y, _z)
    {
    }

    SourceLocation::SourceLocation(double _x, double _y, double _z, int _sourceID, bool _isSignal) : Location(_x, _y, _z), sourceID(_sourceID), isSignal(_isSignal)
    {
    }


}
